Bug 1443798 - Containers may get (ems_id and old_ems_id) == nil
Summary: Containers may get (ems_id and old_ems_id) == nil
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Greg Blomquist
QA Contact: Einat Pacifici
URL:
Whiteboard:
Depends On: 1443661
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 00:29 UTC by Satoe Imaishi
Modified: 2017-05-31 14:55 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1443661
Environment:
Last Closed: 2017-05-31 14:55:27 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-20 00:36:14 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/9212ee7b6748b0a5668cb4466f44fe5dfb29fc86

commit 9212ee7b6748b0a5668cb4466f44fe5dfb29fc86
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Apr 19 18:38:17 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 19 20:27:46 2017 -0400

    Merge pull request #14815 from isimluk/do-not-disconnect-twice
    
    Do never run disconnect twice
    (cherry picked from commit 6f8106acf29ce2ade6207610ff0fdb8ac7384145)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1443798

 app/models/container.rb            | 1 +
 app/models/container_definition.rb | 1 +
 app/models/container_group.rb      | 1 +
 app/models/container_image.rb      | 1 +
 app/models/container_project.rb    | 1 +
 5 files changed, 5 insertions(+)

Comment 6 Einat Pacifici 2017-05-29 06:57:49 UTC
Verified. Project with containers was deleted. Waited for refresh. CFME continued to function as expected.

Comment 8 errata-xmlrpc 2017-05-31 14:55:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.